Bug 521630 - RFE: make the line lenght limit configurable
RFE: make the line lenght limit configurable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-07 06:42 EDT by Karel Volný
Modified: 2009-10-03 15:05 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.91-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-03 15:05:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2009-09-07 06:42:23 EDT
Description of problem:
I refer to bug #517875 comment #2 -

"... rpmlint currently has a hardcoded max line length of 79, I'll make it configurable for the next upstream version."

So I file this bug to track this.
Comment 1 Ville Skyttä 2009-09-07 13:22:09 EDT
Already done upstream:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1632

I suppose the default should be changed to 80 for Fedora (the guidelines have some hints about this) even though I personally think 79 would be better for compatibility with a few more things and readability.
Comment 2 Fedora Update System 2009-09-13 18:42:15 EDT
rpmlint-0.91-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpmlint-0.91-1.fc11
Comment 3 Fedora Update System 2009-09-15 03:42:23 EDT
rpmlint-0.91-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9562
Comment 4 Fedora Update System 2009-10-03 15:05:15 EDT
rpmlint-0.91-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.